Поддержка Проблемы и решения Вопросы по стандартным шаблонам WordPress

  • Прошу сильно не ругать за эту тему)
    Решил уйти от дочерней и создать все-таки свою, поэтому появился ряд мелких вопросов (может даже глупых) по записям внутри шаблонов стандартной темы.

    Для чего нужна эта запись?

    <!--[if IE 7]>
    <html class="ie ie7" <?php language_attributes(); ?>>
    <![endif]-->
    <!--[if IE 8]>
    <html class="ie ie8" <?php language_attributes(); ?>>
    <![endif]-->
Просмотр 3 ответов — с 1 по 3 (всего 3)
  • Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    Для поддержки старых версий IE. Сейчас уже не актуально и в текущих темах этого фрагмента нет, но лет пять назад (на момент выхода Twenty Fourteen и предыдущих тем) было ещё немного актуально 🙂

    Здесь та же история?

    <!--[if lt IE 9]>
    <script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>	
    <![endif]-->

    да.

    лучше бы вы начинали делать свою тему с более актуальной версии темы.
    или взяли что-то типа https://underscores.me/
    тема немного устарела, но тем не менее.

Просмотр 3 ответов — с 1 по 3 (всего 3)